petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatPartitioningView

Prints the partitioning data structure.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatPartitioningView(MatPartitioning part,PetscViewer viewer)

Collective on MatPartitioning Many br

### Input Parameters

part -the partitioning context Many br
viewer -optional visualization context Many br

Many br

### Note

The available visualization contexts include Many br

| PETSC_VIEWER_STDOUT_SELF | - standard output (default) Many br
| PETSC_VIEWER_STDOUT_WORLD | - synchronized standard Many broutput where only the first processor opens Many brthe file. All other processors send their Many brdata to the first processor to print. Many br

The user can open alternative visualization contexts with Many br

PetscViewerASCIIOpen() -output to a specified file Many br

### Keywords

Partitioning, view

### See Also

PetscViewerASCIIOpen()

Level:intermediate
Location:src/mat/partition/partition.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages